Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
nmap-6.25: Error compiling our pcap filter: icmp6 not suppo
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
alexcortes
Tux's lil' helper
Tux's lil' helper


Joined: 18 Dec 2011
Posts: 121
Location: Rio de Janeiro, Brazil

PostPosted: Sun Dec 09, 2012 10:22 pm    Post subject: nmap-6.25: Error compiling our pcap filter: icmp6 not suppo Reply with quote

Hello,

I'm experiencing a issue with nmap-6.25. My system haven't ipv6 support at all (I don't need ipv6), also nmap:

Quote:
net-analyzer/nmap-6.25 USE="lua ncat ndiff nls nping ssl -gtk -ipv6 -nmap-update"


So, I'm trying to use nmap but I got:

Quote:
Error compiling our pcap filter: icmp6 not supported


How can I solve that? I won't enable ipv6 support just because nmap. :?

I found this old post, but not help me.

http://forums.gentoo.org/viewtopic-t-929684.html


Thanks!!! :)
Back to top
View user's profile Send private message
nishant1234
n00b
n00b


Joined: 11 Dec 2012
Posts: 10

PostPosted: Tue Dec 11, 2012 6:03 am    Post subject: n-map issue Reply with quote

i ain't able to fix the issue till now help me.
Back to top
View user's profile Send private message
fred0
n00b
n00b


Joined: 17 Apr 2006
Posts: 73
Location: France

PostPosted: Thu Dec 13, 2012 3:18 pm    Post subject: Reply with quote

Code:
echo "net-libs/libpcap ipv6" >> /etc/portage/package.use
emerge -1 net-libs/libpcap
works for me.
I do not use ipv6.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum